package application.model;

import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class Player {

	private StringProperty name;
	
	private IntegerProperty score;
	
	public Player(String name, int score) {
		this.name = new SimpleStringProperty(name);
		this.score = new SimpleIntegerProperty(score);
	}
	
	public String getName() {
		return name.get();
	}
	
	public void setName(String s) {
		name.set(s);
	}
	
	public StringProperty nameProperty() {
		return name;
	}
	
	public int getScore() {
		return score.get();
	}
	
	public void setScore(int i) {
		score.set(i);
	}
	
	public IntegerProperty scoreProperty() {
		return score;
	}
}
