package bindings;

import javafx.beans.binding.NumberBinding;
import javafx.beans.property.IntegerProperty;
import javafx.beans.property.SimpleIntegerProperty;

public class BindingsDemo {
	public static void main(String[] args) {
		IntegerProperty i1 = new SimpleIntegerProperty(100);
		IntegerProperty i2 = new SimpleIntegerProperty(50);
		IntegerProperty i3 = new SimpleIntegerProperty();
		i3.bind(i2);
		NumberBinding sum = i1.add(i2);
		System.out.println(sum.getValue());
		System.out.println(i3.getValue());
		i2.set(75);
		System.out.println(sum.getValue());
		System.out.println(i3.getValue());
	}
}
